import React from 'react'
import PropTypes from 'prop-types'
import RouteTile from './RouteTile'
import { buildUrl } from '../helpers'

const OutputPanel = ({stops}) => (
  <div>
    <h2>Complete Route</h2>
    <RouteTile url={buildUrl(stops)} stops={stops} />
  </div>
)

OutputPanel.propTypes = {
  stops: PropTypes.arrayOf(PropTypes.string).isRequired
}

export default OutputPanel
